# TODO: provide configurations for other configurations (e.g. x11)?
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
%bcond_without	gtk2		# wxGTK2 packages support
%bcond_without	gtk3		# wxGTK3 packages support
%bcond_without	ansi		# ANSI wx packages support
%bcond_without	unicode		# Unicode wx packages support
#
%define		pdir	Alien
%define		pnam	wxWidgets
Summary:	Alien::wxWidgets - building, finding and using wxWidgets binaries
Summary(pl.UTF-8):	Alien::wxWidgets - budowanie, znajdowanie i wykorzystywanie binariów wxWidgets
Name:		perl-Alien-wxWidgets
Version:	0.69
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Alien/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4edfec992976b71333699a84d07c8aa6
Patch0:		%{name}-nobuild.patch
Patch1:		%{name}-config.patch
URL:		https://metacpan.org/release/Alien-wxWidgets
BuildRequires:	perl-ExtUtils-CBuilder >= 0.24
BuildRequires:	perl-Module-Build >= 0.28
BuildRequires:	perl-Module-Pluggable >= 3.1-4
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl(File::Spec) >= 1.50
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with gtk2}
%if %{with ansi}
BuildRequires:	wxGTK2-devel >= 2.6.3
BuildRequires:	wxGTK2-gl-devel >= 2.6.3
%endif
%if %{with unicode}
BuildRequires:	wxGTK2-unicode-devel >= 2.6.3
BuildRequires:	wxGTK2-unicode-gl-devel >= 2.6.3
%endif
%endif
%if %{with gtk3}
%if %{with ansi}
BuildRequires:	wxGTK3-devel >= 2.6.3
BuildRequires:	wxGTK3-gl-devel >= 2.6.3
%endif
%if %{with unicode}
BuildRequires:	wxGTK3-unicode-devel >= 2.6.3
BuildRequires:	wxGTK3-unicode-gl-devel >= 2.6.3
%endif
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		wx_ver		%(rpm -q wxWidgets-devel --qf '%%{VERSION}')
%define		wx_ver_tag	%(echo %{wx_ver} | tr . _)

%description
Alien::wxWidgets allows wxPerl to easily find information about your
wxWidgets installation. It can store this information for multiple
wxWidgets versions or configurations (debug, Unicode, etc.). It can
also build and install a private copy of wxWidgets as part of the
build process.

%description -l pl.UTF-8
Alien::wxWidgets pozwala wxPerlowi łatwo uzyskać informacje na temat
instalacji wxWidgets. Może przechowywać informacje o wielu wersjach
lub konfiguracjach (debug, Unicode, itp.). Może także zbudować i
zainstalować prywatną kopię wxWidgets jako część procesu budowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1

%build
for toolkit in %{?with_gtk2:gtk2} %{?with_gtk3:gtk3} ; do
for charset in %{?with_ansi:ansi} %{?with_unicode:unicode} ; do
export WX_CONFIG=wx-${toolkit}-${charset}-config
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor \
	--wxWidgets-build=0

./Build

%{?with_tests:./Build test}
done
done

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/Alien/wxWidgets.pm
%dir %{perl_vendorarch}/Alien/wxWidgets
%{perl_vendorarch}/Alien/wxWidgets/Utility.pm
%dir %{perl_vendorarch}/Alien/wxWidgets/Config
%if %{with gtk2}
%if %{with ansi}
%{perl_vendorarch}/Alien/wxWidgets/Config/gtk2_%{wx_ver_tag}_gcc_3_4.pm
%endif
%if %{with unicode}
%{perl_vendorarch}/Alien/wxWidgets/Config/gtk2_%{wx_ver_tag}_uni_gcc_3_4.pm
%endif
%endif
%if %{with gtk3}
# should be gtk3_*.pm?
%if %{with ansi}
%{perl_vendorarch}/Alien/wxWidgets/Config/gtk_%{wx_ver_tag}_gcc_3_4.pm
%endif
%if %{with unicode}
%{perl_vendorarch}/Alien/wxWidgets/Config/gtk_%{wx_ver_tag}_uni_gcc_3_4.pm
%endif
%endif
%{_mandir}/man3/Alien::wxWidgets*.3pm*
%changelog
* Sun May 03 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Alien-wxWidgets.git;a=log;h=master

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> eef4323
- top Alien dir moved to perl-dirs; release 2

* Sat May 02 2020 Jakub Bogusz <qboosh@pld-linux.org> 7f333a9
- updated to 0.69
- added config patch (allow wx-*-config as wx-config names)

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> cdc0595
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 274b994
- rebuild with perl 5.30.0
- release 7 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 5c7b8a4
- rebuild with perl 5.28.0
- release 6 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> cde1ea5
- perl req/prov fix
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 60c977a
- rebuild with perl 5.26
- release 4 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> aaa9db9
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 046aaa6
- release 2 (by relup.sh)

* Wed Jun 10 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7359d90
- up to 0.67

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 9168b58
- x32 rebuild
- release 3 (by relup.sh)

* Sun Jan 11 2015 Jakub Bogusz <qboosh@pld-linux.org> e2f6902
- release 2

* Sat Jan 10 2015 Jakub Bogusz <qboosh@pld-linux.org> b8fac70
- provide configurations for different wxWidgets configurations

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 6496b06
- up to 0.65

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0c12cbd
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> bbafe7e
- rel 2

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 29d3d17
- updated to 0.64

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 85bb3c5
- up to 0.64

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0621936
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 97046a8
- release 2

